"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.STICKER = exports.FOOTNOTE = exports.FOOTNOTES = exports.FOOTNOTE_SIGN = undefined;

var _taggedTemplateLiteral2 = require("babel-runtime/helpers/taggedTemplateLiteral");

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(["\n  color: #d93025;\n  vertical-align: super;\n  font-size: 1rem;\n  padding: 0 0.25rem;\n"], ["\n  color: #d93025;\n  vertical-align: super;\n  font-size: 1rem;\n  padding: 0 0.25rem;\n"]),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(["\n  background-image: ", ";\n  background-repeat: no-repeat;\n  background-size: contain;\n\n  height: 20rem;\n  width: 20rem;\n"], ["\n  background-image: ", ";\n  background-repeat: no-repeat;\n  background-size: contain;\n\n  height: 20rem;\n  width: 20rem;\n"]),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(["\n  display: flex;\n  flex-direction: column;\n"], ["\n  display: flex;\n  flex-direction: column;\n"]),
    _templateObject4 = (0, _taggedTemplateLiteral3.default)(["\n  font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n  margin: 0 0 0.5rem 0;\n  line-height: 2rem;\n  word-break: break-word;\n  font-size: 1.5rem;\n"], ["\n  font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n  margin: 0 0 0.5rem 0;\n  line-height: 2rem;\n  word-break: break-word;\n  font-size: 1.5rem;\n"]);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FOOTNOTE_SIGN = (0, _styledComponents2.default)("span")(_templateObject);
var STICKER = (0, _styledComponents2.default)("div")(_templateObject2, function (_ref) {
  var src = _ref.src;
  return "url(\"" + src + "\")";
});
var FOOTNOTES = (0, _styledComponents2.default)("div")(_templateObject3);
var FOOTNOTE = (0, _styledComponents2.default)("div")(_templateObject4);

exports.FOOTNOTE_SIGN = FOOTNOTE_SIGN;
exports.FOOTNOTES = FOOTNOTES;
exports.FOOTNOTE = FOOTNOTE;
exports.STICKER = STICKER;