'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  margin: 0 5rem 22.5rem;\n  display: flex;\n  justify-content: space-between;\n'], ['\n  margin: 0 5rem 22.5rem;\n  display: flex;\n  justify-content: space-between;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CONTAINER = (0, _styledComponents2.default)('div')(_templateObject);

var Box = function Box(_ref) {
  var labels = _ref.labels,
      children = _ref.children;
  return _react2.default.createElement(
    CONTAINER,
    null,
    _react2.default.createElement(
      'div',
      null,
      Array.isArray(labels) ? labels.map(function (label, i) {
        return _react2.default.createElement(
          'div',
          { key: i },
          label
        );
      }) : labels
    ),
    children
  );
};

exports.default = Box;