'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OrderedListItem = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  display: flex;\n  flex-direction: column;\n  padding: 1rem;\n  overflow: hidden auto;\n'], ['\n  display: flex;\n  flex-direction: column;\n  padding: 1rem;\n  overflow: hidden auto;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _SlotfulCTCMercury = require('./SlotfulCTCMercury');

var _SlotfulCTCMercury2 = _interopRequireDefault(_SlotfulCTCMercury);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CONTAINER = _styledComponents2.default.div(_templateObject);
var OrderedListItem = exports.OrderedListItem = function OrderedListItem(_ref) {
  var CTCMercuryProps = _ref.CTCMercuryProps,
      children = _ref.children;

  return _react2.default.createElement(
    _SlotfulCTCMercury2.default,
    (0, _extends3.default)({}, CTCMercuryProps),
    function (_ref2) {
      var getChildrenProps = _ref2.getChildrenProps,
          transitionStyle = _ref2.transitionStyle;
      return _react2.default.createElement(
        CONTAINER,
        (0, _extends3.default)({}, getChildrenProps({
          style: (0, _extends3.default)({}, transitionStyle, {
            position: 'relative'
          })
        })),
        children
      );
    }
  );
};

exports.default = OrderedListItem;