"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.INFO = exports.ASTERISK = exports.INPUTBOX = exports.MULTIPLECHOICE = exports.COMPOSITION = exports.TEXTAREA = exports.CHECKBOX = exports.SELECTMANY = exports.CONTAINER = exports.SELECTONE = exports.TEXTINPUT = exports.ERROR = exports.GROUP = exports.SUBMIT = undefined;

var _taggedTemplateLiteral2 = require("babel-runtime/helpers/taggedTemplateLiteral");

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(["\n  color: #d93025;\n"], ["\n  color: #d93025;\n"]),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(["\n  margin-bottom: 1.75rem;\n  font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n  font-size: 1.75rem;\n  font-weight: 500;\n  letter-spacing: 0.1px;\n  line-height: 24px;\n  color: #202124;\n  font-weight: 400;\n  width: 100%;\n  word-break: break-word;\n"], ["\n  margin-bottom: 1.75rem;\n  font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n  font-size: 1.75rem;\n  font-weight: 500;\n  letter-spacing: 0.1px;\n  line-height: 24px;\n  color: #202124;\n  font-weight: 400;\n  width: 100%;\n  word-break: break-word;\n"]),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(["\n  margin-top: 1rem;\n  font-size: 1.375rem;\n  display: flex;\n  align-items: center;\n  color: #d93025;\n  svg {\n    margin-right: 1rem;\n  }\n  /* position: absolute; */\n  /* bottom: -2.25rem; */\n  /* right: 0.5rem; */\n"], ["\n  margin-top: 1rem;\n  font-size: 1.375rem;\n  display: flex;\n  align-items: center;\n  color: #d93025;\n  svg {\n    margin-right: 1rem;\n  }\n  /* position: absolute; */\n  /* bottom: -2.25rem; */\n  /* right: 0.5rem; */\n"]),
    _templateObject4 = (0, _taggedTemplateLiteral3.default)(["\n  display: flex;\n  width: 80%;\n  flex-direction: column;\n  align-items: center;\n  margin-bottom: 0;\n"], ["\n  display: flex;\n  width: 80%;\n  flex-direction: column;\n  align-items: center;\n  margin-bottom: 0;\n"]),
    _templateObject5 = (0, _taggedTemplateLiteral3.default)(["\n  display: flex;\n  flex-direction: column;\n  margin-bottom: 3.5rem;\n  position: relative;\n\n  padding: 2.4rem;\n  border-radius: 1rem;\n  border: ", ";\n  background: white;\n  width: ", ";\n  @media (max-width: 425px) {\n    border-radius: 0.5rem;\n    width: 100%;\n    /* width: ", "; */\n  }\n"], ["\n  display: flex;\n  flex-direction: column;\n  margin-bottom: 3.5rem;\n  position: relative;\n\n  padding: 2.4rem;\n  border-radius: 1rem;\n  border: ", ";\n  background: white;\n  width: ", ";\n  @media (max-width: 425px) {\n    border-radius: 0.5rem;\n    width: 100%;\n    /* width: ", "; */\n  }\n"]),
    _templateObject6 = (0, _taggedTemplateLiteral3.default)([""], [""]),
    _templateObject7 = (0, _taggedTemplateLiteral3.default)(["\n    height: 20rem;\n  "], ["\n    height: 20rem;\n  "]),
    _templateObject8 = (0, _taggedTemplateLiteral3.default)(["\n    width: 5rem;\n    border: none;\n    text-align: ", ";\n    :focus {\n      outline: none;\n    }\n  "], ["\n    width: 5rem;\n    border: none;\n    text-align: ", ";\n    :focus {\n      outline: none;\n    }\n  "]),
    _templateObject9 = (0, _taggedTemplateLiteral3.default)(["\n    width: auto;\n  "], ["\n    width: auto;\n  "]),
    _templateObject10 = (0, _taggedTemplateLiteral3.default)(["\n    display: flex;\n    align-items: center;\n    background: #e7e7e7;\n    margin: ", ";\n    padding: ", ";\n    justify-content: ", ";\n    width: 8rem;\n  "], ["\n    display: flex;\n    align-items: center;\n    background: #e7e7e7;\n    margin: ", ";\n    padding: ", ";\n    justify-content: ", ";\n    width: 8rem;\n  "]),
    _templateObject11 = (0, _taggedTemplateLiteral3.default)(["\n    z-index: 1;\n  "], ["\n    z-index: 1;\n  "]),
    _templateObject12 = (0, _taggedTemplateLiteral3.default)(["\n    display: flex;\n    flex-direction: ", ";\n    align-items: center;\n    justify-content: space-between;\n  "], ["\n    display: flex;\n    flex-direction: ", ";\n    align-items: center;\n    justify-content: space-between;\n  "]),
    _templateObject13 = (0, _taggedTemplateLiteral3.default)(["\n    min-height: 5rem;\n    width: 25.5rem;\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    flex-direction: row;\n  "], ["\n    min-height: 5rem;\n    width: 25.5rem;\n    display: flex;\n    align-items: center;\n    justify-content: space-between;\n    flex-direction: row;\n  "]),
    _templateObject14 = (0, _taggedTemplateLiteral3.default)(["\n    margin-right: 2.25rem;\n    margin-bottom: 0.75rem;\n  "], ["\n    margin-right: 2.25rem;\n    margin-bottom: 0.75rem;\n  "]),
    _templateObject15 = (0, _taggedTemplateLiteral3.default)(["\n    text-transform: uppercase;\n    font-weight: bold;\n\n    margin-bottom: 1rem;\n    margin-left: 1.5rem;\n  "], ["\n    text-transform: uppercase;\n    font-weight: bold;\n\n    margin-bottom: 1rem;\n    margin-left: 1.5rem;\n  "]),
    _templateObject16 = (0, _taggedTemplateLiteral3.default)(["\n    font-weight: bold;\n\n    margin-bottom: 0.75rem;\n  "], ["\n    font-weight: bold;\n\n    margin-bottom: 0.75rem;\n  "]),
    _templateObject17 = (0, _taggedTemplateLiteral3.default)(["\n    margin-top: 0.25rem;\n    margin-bottom: 3rem;\n    font-size: 1.5rem;\n    line-height: 2rem;\n  "], ["\n    margin-top: 0.25rem;\n    margin-bottom: 3rem;\n    font-size: 1.5rem;\n    line-height: 2rem;\n  "]),
    _templateObject18 = (0, _taggedTemplateLiteral3.default)(["\n    border-top: 1px solid #ddd;\n    margin-top: 2rem;\n    padding-top: 1.5rem;\n  "], ["\n    border-top: 1px solid #ddd;\n    margin-top: 2rem;\n    padding-top: 1.5rem;\n  "]),
    _templateObject19 = (0, _taggedTemplateLiteral3.default)(["\n    /* padding: 2.4rem 2.4rem 0 2.4rem; */\n    font-weight: bold;\n    font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n    letter-spacing: 0.1px;\n    line-height: 24px;\n    color: #202124;\n    font-weight: 400;\n    width: 100%;\n    word-break: break-word;\n\n    pointer-events: none;\n  "], ["\n    /* padding: 2.4rem 2.4rem 0 2.4rem; */\n    font-weight: bold;\n    font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n    letter-spacing: 0.1px;\n    line-height: 24px;\n    color: #202124;\n    font-weight: 400;\n    width: 100%;\n    word-break: break-word;\n\n    pointer-events: none;\n  "]),
    _templateObject20 = (0, _taggedTemplateLiteral3.default)(["\n    width: 90%;\n    min-width: 35rem;\n  "], ["\n    width: 90%;\n    min-width: 35rem;\n  "]),
    _templateObject21 = (0, _taggedTemplateLiteral3.default)(["\n    font-size: 1.5rem;\n    line-height: 1.75rem;\n    /* text-align: justify; */\n  "], ["\n    font-size: 1.5rem;\n    line-height: 1.75rem;\n    /* text-align: justify; */\n  "]),
    _templateObject22 = (0, _taggedTemplateLiteral3.default)(["\n    margin: 2rem 0 2rem 0;\n\n    font-size: 1.75rem;\n    line-height: 1.75rem;\n  "], ["\n    margin: 2rem 0 2rem 0;\n\n    font-size: 1.75rem;\n    line-height: 1.75rem;\n  "]),
    _templateObject23 = (0, _taggedTemplateLiteral3.default)(["\n  background: none;\n  color: #dadada;\n\n  padding: 0.75rem 0 0.675rem 0.5rem;\n  display: block;\n  width: 25.5rem;\n  border: none;\n  border-radius: 0;\n  border-bottom: 1px solid #dadada;\n  :valid {\n    color: black;\n  }\n  :focus {\n    outline: none;\n  }\n"], ["\n  background: none;\n  color: #dadada;\n\n  padding: 0.75rem 0 0.675rem 0.5rem;\n  display: block;\n  width: 25.5rem;\n  border: none;\n  border-radius: 0;\n  border-bottom: 1px solid #dadada;\n  :valid {\n    color: black;\n  }\n  :focus {\n    outline: none;\n  }\n"]),
    _templateObject24 = (0, _taggedTemplateLiteral3.default)(["\n  color: #dadada;\n  font-size: 1.5rem;\n  font-weight: normal;\n  position: absolute;\n  pointer-events: none;\n  left: 5px;\n  top: 10px;\n  transition: 300ms ease all;\n  ", ":focus ~ &,\n  ", ":valid ~ & {\n    top: -10px;\n    left: 0px;\n    font-weight: bold;\n\n    color: #224233;\n  }\n"], ["\n  color: #dadada;\n  font-size: 1.5rem;\n  font-weight: normal;\n  position: absolute;\n  pointer-events: none;\n  left: 5px;\n  top: 10px;\n  transition: 300ms ease all;\n  ", ":focus ~ &,\n  ", ":valid ~ & {\n    top: -10px;\n    left: 0px;\n    font-weight: bold;\n\n    color: #224233;\n  }\n"]),
    _templateObject25 = (0, _taggedTemplateLiteral3.default)(["\n  position: relative;\n  display: flex;\n  :before {\n    content: \"\";\n    height: 2px;\n    width: 0rem;\n    bottom: 0px;\n    position: absolute;\n    background: #424242;\n    transition: 300ms ease all;\n    left: 0%;\n    ", ":focus ~ & {\n      width: 25.5rem;\n    }\n  }\n"], ["\n  position: relative;\n  display: flex;\n  :before {\n    content: \"\";\n    height: 2px;\n    width: 0rem;\n    bottom: 0px;\n    position: absolute;\n    background: #424242;\n    transition: 300ms ease all;\n    left: 0%;\n    ", ":focus ~ & {\n      width: 25.5rem;\n    }\n  }\n"]),
    _templateObject26 = (0, _taggedTemplateLiteral3.default)(["\n  margin-top: 0.25rem;\n\n  width: 25.5rem;\n"], ["\n  margin-top: 0.25rem;\n\n  width: 25.5rem;\n"]),
    _templateObject27 = (0, _taggedTemplateLiteral3.default)(["\n    border-top: 1rem solid #e5e5e5;\n    border-bottom: 1rem solid #e5e5e5;\n    padding-top: 1.25rem;\n  "], ["\n    border-top: 1rem solid #e5e5e5;\n    border-bottom: 1rem solid #e5e5e5;\n    padding-top: 1.25rem;\n  "]),
    _templateObject28 = (0, _taggedTemplateLiteral3.default)(["\n    font-weight: bold;\n    font-size: 1.5rem;\n    text-align: end;\n    text-transform: uppercase;\n    margin-bottom: 2rem;\n  "], ["\n    font-weight: bold;\n    font-size: 1.5rem;\n    text-align: end;\n    text-transform: uppercase;\n    margin-bottom: 2rem;\n  "]),
    _templateObject29 = (0, _taggedTemplateLiteral3.default)(["\n    font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n    letter-spacing: 0.1px;\n    line-height: 24px;\n    color: #202124;\n    font-weight: 400;\n    width: 100%;\n    word-break: break-word;\n    font-size: 1.75rem;\n    font-weight: normal;\n    margin: 0 0 2.75rem 0;\n  "], ["\n    font-family: \"Google Sans\", Roboto, Arial, sans-serif;\n    letter-spacing: 0.1px;\n    line-height: 24px;\n    color: #202124;\n    font-weight: 400;\n    width: 100%;\n    word-break: break-word;\n    font-size: 1.75rem;\n    font-weight: normal;\n    margin: 0 0 2.75rem 0;\n  "]),
    _templateObject30 = (0, _taggedTemplateLiteral3.default)(["\n    display: flex;\n\n    flex-direction: column;\n    padding: 1.25rem 1.5rem;\n    flex-direction: row;\n    border-radius: 0.75rem;\n    width: 10rem;\n    font-weight: bold;\n  "], ["\n    display: flex;\n\n    flex-direction: column;\n    padding: 1.25rem 1.5rem;\n    flex-direction: row;\n    border-radius: 0.75rem;\n    width: 10rem;\n    font-weight: bold;\n  "]),
    _templateObject31 = (0, _taggedTemplateLiteral3.default)(["\n    background: none;\n    padding: 0;\n\n    margin-left: -4.8rem;\n    margin-top: -1.6rem;\n  "], ["\n    background: none;\n    padding: 0;\n\n    margin-left: -4.8rem;\n    margin-top: -1.6rem;\n  "]);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Checkbox = require("./Checkbox");

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _defaultStyles = require("./defaultStyles");

var _tinycolor = require("tinycolor2");

var _tinycolor2 = _interopRequireDefault(_tinycolor);

var _StyledButton = require("./StyledButton");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultWidth = 25.5;

var ASTERISK = (0, _styledComponents2.default)("span")(_templateObject);

var LABEL = _styledComponents2.default.div(_templateObject2);
var SUBLABEL = _styledComponents2.default.div(_templateObject2);
var ERROR = _styledComponents2.default.div(_templateObject3);
var CONTAINER = _styledComponents2.default.form(_templateObject4);
var SOCKET = _styledComponents2.default.div(_templateObject5, function (_ref) {
  var border = _ref.border;
  return border;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.socketwidth;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.socketwidthmax;
});
var TEXTAREA = {
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject6),
  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject6),
  INPUT: _styledComponents2.default.textarea(_templateObject7)
};

var COMPOSITION = {
  NUMBER_INPUT: _styledComponents2.default.input.attrs({
    type: "number"
  })(_templateObject8, function (_ref4) {
    var isVertical = _ref4.isVertical;
    return isVertical ? "right" : "center";
  }),
  RANGE_INPUT: _styledComponents2.default.input.attrs(function (_ref5) {
    var isVertical = _ref5.isVertical;
    return isVertical ? {
      orient: "vertical",
      type: "range"
    } : {
      orient: "horizontal",
      type: "range"
    };
  })(function (_ref6) {
    var isVertical = _ref6.isVertical;
    return isVertical ? {
      WebkitAppearance: "slider-vertical",
      writingMode: "bt-lr",
      width: "3rem"
    } : {
      width: "15rem"
    };
  }),
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject9),
  HEAD: (0, _styledComponents2.default)("div")(_templateObject6),
  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject10, function (_ref7) {
    var isVertical = _ref7.isVertical;
    return isVertical ? "0 0 1rem" : "0 0.75rem 0 0";
  }, function (_ref8) {
    var isVertical = _ref8.isVertical;
    return isVertical ? "0.5rem 0" : "0.5rem 1rem";
  }, function (_ref9) {
    var isVertical = _ref9.isVertical;
    return isVertical ? "center" : "flex-start";
  }),
  OPTIONS: (0, _styledComponents2.default)("div")(_templateObject11),
  CURRENT_OPTION: (0, _styledComponents2.default)("div")(_templateObject12, function (_ref10) {
    var isVertical = _ref10.isVertical;
    return isVertical ? "column" : "row";
  })
};

var CHECKBOX = {
  DESIGN: (0, _styledComponents2.default)("label")(_templateObject6),
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject13),
  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject14),
  INPUT: (0, _styledComponents2.default)(_Checkbox2.default)(_templateObject6)
};

var SELECTONE = {
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject6),
  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject15),
  DROPDOWN: (0, _styledComponents2.default)("div")(_templateObject11)
};

var SELECTMANY = {
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject6),

  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject16),
  DROPDOWN: (0, _styledComponents2.default)("div")(_templateObject11)
};
var MULTIPLECHOICE = {
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject6),
  SUBLABEL: (0, _styledComponents2.default)(SUBLABEL)(_templateObject17),
  FOOTER: (0, _styledComponents2.default)("div")(_templateObject18),

  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject19)
};
var INFO = {
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject20),
  TEXT: (0, _styledComponents2.default)("div")(_templateObject21),
  SUBLABEL: (0, _styledComponents2.default)(SUBLABEL)(_templateObject22),
  FOOTER: (0, _styledComponents2.default)("div")(_templateObject18),

  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject19)
};

var TEXTINPUT = {};

TEXTINPUT.INPUT = (0, _styledComponents2.default)("input")(_templateObject23);
TEXTINPUT.SOCKET = (0, _styledComponents2.default)(SOCKET)(_templateObject6);
TEXTINPUT.LABEL = (0, _styledComponents2.default)(LABEL)(_templateObject24, TEXTINPUT.INPUT, TEXTINPUT.INPUT);
TEXTINPUT.BAR = (0, _styledComponents2.default)("div")(_templateObject25, TEXTINPUT.INPUT);
TEXTINPUT.SUBLABEL = (0, _styledComponents2.default)("div")(_templateObject26);

var GROUP = {
  SOCKET: (0, _styledComponents2.default)(SOCKET)(_templateObject27),
  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject28),
  CHILDREN: (0, _styledComponents2.default)("div")(_templateObject6)
};
var INPUTBOX = {
  CONTAINER: (0, _styledComponents2.default)(SOCKET)(_templateObject6),
  LABEL: (0, _styledComponents2.default)(LABEL)(_templateObject29),
  SUBLABEL: (0, _styledComponents2.default)(LABEL)(_templateObject6)
};

var SUBMIT = {
  TRIGGER: (0, _styledComponents2.default)(_StyledButton.BUTTON).attrs(function (props) {
    return {
      colors: !props.theme ? _defaultStyles.buttonStyles.neutral : {
        transition: "mix",

        on: {
          backgroundColor: (0, _tinycolor2.default)(props.theme.alpha).toString(),
          color: "#fff"
        },
        off: {
          backgroundColor: (0, _tinycolor2.default)(props.theme.beta).toString(),
          color: "#fff"
        },
        disabled: { backgroundColor: "#ccc", color: "#888" },
        diff: 30
      }
    };
  })(_templateObject30),
  CONTAINER: (0, _styledComponents2.default)(SOCKET)(_templateObject31)
};

exports.SUBMIT = SUBMIT;
exports.GROUP = GROUP;
exports.ERROR = ERROR;
exports.TEXTINPUT = TEXTINPUT;
exports.SELECTONE = SELECTONE;
exports.CONTAINER = CONTAINER;
exports.SELECTMANY = SELECTMANY;
exports.CHECKBOX = CHECKBOX;
exports.TEXTAREA = TEXTAREA;
exports.COMPOSITION = COMPOSITION;
exports.MULTIPLECHOICE = MULTIPLECHOICE;
exports.INPUTBOX = INPUTBOX;
exports.ASTERISK = ASTERISK;
exports.INFO = INFO;